/*import csv file*/
proc import datafile="R:\teaching\short course\missing data\session2\Empirical study\outdat.csv" 
out=indat dbms=csv replace; 
getnames=yes; 
run;

proc contents data=indat;
run;

/*create missing values*/
data indat2;
set indat;
if r=1 then Y=BPXSY1;
else Y=.;
Y_I=Y;
run;

/*EM approach*/
proc mi data=indat2 seed=1518971 simple nimpute=0;
      em itprint outem=outem;
      var X1 X2 Y_I;
   run;

