proc contents data=demo_h;
run;

proc contents data=bpx_h;
run;

proc contents data=bmx_h;
run;

proc contents data=tchol_h;
run;

proc sort data=demo_h;
by SEQN;
run;

proc sort data=bpx_h;
by SEQN;
run;

proc sort data=bmx_h;
by SEQN;
run;

proc sort data=tchol_h;
by SEQN;
run;

data comb;
merge demo_h(in=A) bpx_h(in=B) bmx_h(in=C) tchol_h(in=D);
if A and B and C and D;
by SEQN;
run;

proc contents data=comb;
run;

proc means data=comb;
var BMXBMI BPXDI1 BPXSY1 RIDAGEYR INDFMIN2;
run;

proc freq data=comb;
tables RIAGENDR RIDRETH3 DMDEDUC2/missing list;
run;

libname out 'R:\teaching\short course\missing data\real data\NHANES';
data out.nhanes;
set comb;
run;

proc export data=comb outfile='R:\teaching\short course\missing data\real data\NHANES\nhanes.csv' dbms = csv replace;
run;

